Skip to main content
PATCH
/
api
/
v1
/
users
/
{user_id}
Update User
curl --request PATCH \
  --url https://api.member.dev/api/v1/users/{user_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/vnd.api+json' \
  --data '
{
  "first_name": "<string>",
  "is_active": true,
  "last_name": "<string>"
}
'
{
  "data": {
    "attributes": {
      "email": "jsmith@example.com",
      "created_at": "2023-11-07T05:31:56Z",
      "email_verified_at": "2023-11-07T05:31:56Z",
      "first_name": "<string>",
      "is_active": true,
      "last_name": "<string>",
      "updated_at": "2023-11-07T05:31:56Z"
    },
    "id": "<string>",
    "type": "<string>",
    "links": {
      "self": "<string>"
    },
    "meta": {},
    "relationships": {}
  },
  "included": [
    "<unknown>"
  ],
  "links": {
    "self": "<string>"
  },
  "meta": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

user_id
string
required

Body

application/vnd.api+json
first_name
string | null
is_active
boolean | null
last_name
string | null

Response

Successful Response

data
JsonApiResource[UserAttributes] · object
required
included
any[] | null
meta
Meta · object